#!/bin/bash
BASE="http://linux-sound.sonologic.nl/"
BASE="http://sputnik/apps-la/"
BASE="http://apps.linuxaudio.org/"
BASE="http://apps-devel.linuxaudio.org/"
FILEZ="filez/allcats.txt"
FILEZ="/tmp/nodup.txt"
TOTAL=$(wc -l $FILEZ | cut -d " " -f 1 )
PROG=0

if [ -z "$1" ]; then
  echo "updating: file cache, meta data and index..";
  for file in $(cat $FILEZ ); do name=$(echo $file | sed s/.txt$// );   PROG=$[ $PROG + 1 ]; PGPR=$[ 100 * $PROG / $TOTAL ]; printf "\r %02i%% %70s " $PGPR $name; curl -o /dev/null $BASE$name 2> /dev/null; curl -o /dev/null $BASE/lib/exe/indexer.php?id=$name 2> /dev/null; done
elif [ "$1" == "index" ]; then
  echo "updating meta data and index only..";
  for file in $(cat $FILEZ ); do name=$(echo $file | sed s/.txt$// );   PROG=$[ $PROG + 1 ]; PGPR=$[ 100 * $PROG / $TOTAL ]; printf "\r %02i%% %70s " $PGPR $name; curl -o /dev/null $BASE/lib/exe/indexer.php?id=$name 2> /dev/null; done
elif [ "$1" == "cache" ]; then
  echo "updating file cache only..";
  for file in $(cat $FILEZ ); do name=$(echo $file | sed s/.txt$// ); PROG=$[ $PROG + 1 ]; PGPR=$[ 100 * $PROG / $TOTAL ]; printf "\r %02i%% %70s " $PGPR $name; curl -o /dev/null $BASE$name 2> /dev/null; done 
else
  echo "usage: $0 [index|cache]"
  echo " default is to update both."
fi
echo
